"use strict";
const {app, protocol} = require("electron");
const url             = require("url");

const WindowManager = require("./WindowManager");

class Ation {
	windowManager;

	constructor() {
		if (Ation.Instances > 0)
			throw new Error("Only one Instance of Ation possible");
		this.windowManager = new WindowManager();		

		app.whenReady().then(async () => {
			protocol.registerFileProtocol("slideimg", (request, callback) => {
				const path = request.url.replace(/^slideimg:\/\//, "");
				console.log(path);
				callback(path);
			});
		});
	}
}
Ation.Instances = 0;

module.exports = Ation;