import React from "react";

import SlideItem from "./SlideItem";

const Slide = ({data, className, ...props}) => {
	return (
		<article className={`slide${data?.title ? " title" : ""} ${className}`} {...props}>
			{data?.content.map((item, index) =>
				<SlideItem item={item} key={index} />
			)}
		</article>
	);
};

export default Slide;